Game Develop C++ Platform: RuntimeSceneCameraTools.cpp File Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Functions
RuntimeSceneCameraTools.cpp File Reference
`#include "RuntimeSceneCameraTools.h"`
`#include "GDCpp/RuntimeScene.h"`
`#include "GDCpp/RuntimeObject.h"`
`#include "GDCpp/RuntimeLayer.h"`

## Functions

float GD_API | GetCameraX (RuntimeScene &scene, const std::string &layer, unsigned int camera)
float GD_API | GetCameraY (RuntimeScene &scene, const std::string &layer, unsigned int camera)
void GD_API | SetCameraX (RuntimeScene &scene, float x, const std::string &layer, unsigned int cameraId)
void GD_API | SetCameraY (RuntimeScene &scene, float y, const std::string &layer, unsigned int cameraId)
double GD_API | GetCameraAngle (RuntimeScene &scene, const std::string &layer, unsigned int camera)
void GD_API | SetCameraAngle (RuntimeScene &scene, float newValue, const std::string &layer, unsigned int camera)
void GD_API | SetCameraZoom (RuntimeScene &scene, float newZoom, const std::string &layer, unsigned int cameraNb)
double GD_API | GetCameraWidth (RuntimeScene &scene, const std::string &layer, unsigned int camera)
double GD_API | GetCameraHeight (RuntimeScene &scene, const std::string &layer, unsigned int camera)
double GD_API | GetCameraViewportLeft (RuntimeScene &scene, const std::string &layer, unsigned int camera)
double GD_API | GetCameraViewportTop (RuntimeScene &scene, const std::string &layer, unsigned int camera)
double GD_API | GetCameraViewportRight (RuntimeScene &scene, const std::string &layer, unsigned int camera)
double GD_API | GetCameraViewportBottom (RuntimeScene &scene, const std::string &layer, unsigned int camera)
void GD_API | SetCameraSize (RuntimeScene &scene, const std::string &layer, unsigned int cameraNb, float width, float height)
void GD_API | CenterCameraOnObjectWithLimits (RuntimeScene &scene, RuntimeObject *object, float left, float top, float right, float bottom, bool anticipateObjectMove, const std::string &layer, unsigned int camera)
void GD_API | CenterCameraOnObject (RuntimeScene &scene, RuntimeObject *object, bool anticipateObjectMove, const std::string &layer, unsigned int camera)
void GD_API | ActDeleteCamera (RuntimeScene &scene, const std::string &layerName, unsigned int camera)
void GD_API | AddCamera (RuntimeScene &scene, const std::string &layerName, float width, float height, float viewportLeft, float viewportTop, float viewportRight, float viewportBottom)
void GD_API | SetCameraViewport (RuntimeScene &scene, const std::string &layer, unsigned int cameraNb, float viewportLeft, float viewportTop, float viewportRight, float viewportBottom)

## Detailed Description

Game Develop 2008-2013 Florian Rival (Flori.nosp@m.an.R.nosp@m.ival@.nosp@m.gmai.nosp@m.l.com)

## Function Documentation

void GD_API ActDeleteCamera | ( | RuntimeScene & | scene,
|  | const std::string & | layerName,
|  | unsigned int | camera
| ) |  |

Delete a camera of a layer

Here is the call graph for this function:

void GD_API AddCamera | ( | RuntimeScene & | scene,
|  | const std::string & | layerName,
|  | float | width,
|  | float | height,
|  | float | viewportLeft,
|  | float | viewportTop,
|  | float | viewportRight,
|  | float | viewportBottom
| ) |  |

Add a camera to a layer

Here is the call graph for this function:

void GD_API SetCameraSize | ( | RuntimeScene & | scene,
|  | const std::string & | layer,
|  | unsigned int | cameraNb,
|  | float | width,
|  | float | height
| ) |  |

Change the size of a camera and reset the zoom factor.

Here is the call graph for this function: